var Script = require('vm').Script;
var readFileSync = require('fs').readFileSync;

module.exports = function () {
  var context = {};
  context.module = {};
  context.exports = {};
  context.module.exports = context.exports;
  context.require = require;
  context.process = process;
  context.console = console;

  var filename = require.resolve('./jasmine');
  var script = new Script(readFileSync(filename), { filename: filename });
  return script.runInNewContext(context).apply(null, arguments);
};
